<html>
<head>
<title>Member List - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1Light.html">Light</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="headertitle">
<div class="title">Ogre::Light Member List</div>  </div>
</div><!--header-->
<div class="contents">
This is the complete list of members for <a class="el" href="classOgre_1_1Light.html">Ogre::Light</a>, including all inherited members.<table>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Light.html#a6b0962ead2b2a699af0d2b564450e5ae">_calcTempSquareDist</a>(const Vector3 &amp;worldPos)</td><td><a class="el" href="classOgre_1_1Light.html">Ogre::Light</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Light.html#a18db711817b24eb8bc025f7923e6b5c0">_deriveShadowFarClipDistance</a>(const Camera *maincam) const </td><td><a class="el" href="classOgre_1_1Light.html">Ogre::Light</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Light.html#af337063583815a5f8291a5d682f3b782">_deriveShadowNearClipDistance</a>(const Camera *maincam) const </td><td><a class="el" href="classOgre_1_1Light.html">Ogre::Light</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AnimableObject.html#a20139173e816c296ab46d0548d1d4902">_getAnimableValueNames</a>(void)</td><td><a class="el" href="classOgre_1_1AnimableObject.html">Ogre::AnimableObject</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#abc4d3c30d2b50267a348f8d5aee3c5e4">_getCreator</a>(void) const </td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Light.html#a4ef900af994c9d941660660136ad375e">_getFrustumClipVolumes</a>(const Camera *const cam) const </td><td><a class="el" href="classOgre_1_1Light.html">Ogre::Light</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Light.html#ab33b964677ede81059876de81f65bc3d">_getIndexInFrame</a>() const </td><td><a class="el" href="classOgre_1_1Light.html">Ogre::Light</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#adf4f61aeb45d61195c248757e3d1c6fe">_getLightList</a>()</td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#a0c95a392476c6b54be1648a77f2a56c0">_getManager</a>(void) const </td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Light.html#a8dc7734dd5c2784d356ac0166c9e6537">_getNearClipVolume</a>(const Camera *const cam) const </td><td><a class="el" href="classOgre_1_1Light.html">Ogre::Light</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#aab6d217065c5d2968ef0cc2586a0db86">_getParentNodeFullTransform</a>(void) const </td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Light.html#a2c4dddb1da9079b9f68236c86a689e54">_notifyAttached</a>(Node *parent, bool isTagPoint=false)</td><td><a class="el" href="classOgre_1_1Light.html">Ogre::Light</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#a06f161ae0451be7eaa67e77c296d5631">_notifyCreator</a>(MovableObjectFactory *fact)</td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#aa805908a2945ba1e1b1d6badb4761e27">_notifyCurrentCamera</a>(Camera *cam)</td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Light.html#a8be55b8ecc3c79532711429fc8a5d36a">_notifyIndexInFrame</a>(size_t i)</td><td><a class="el" href="classOgre_1_1Light.html">Ogre::Light</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#af730ac3ee4a51ee69f4221298f933e8a">_notifyManager</a>(SceneManager *man)</td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Light.html#acc93817276a3ea236bb45a19de4f5d4e">_notifyMoved</a>(void)</td><td><a class="el" href="classOgre_1_1Light.html">Ogre::Light</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Light.html#ad353bf8b10bd5da88f598c137081dda1">_setCameraRelative</a>(Camera *cam)</td><td><a class="el" href="classOgre_1_1Light.html">Ogre::Light</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Light.html#a9f2934fe2181835a5c89de0b138b5932">_updateCustomGpuParameter</a>(uint16 paramIndex, const GpuProgramParameters::AutoConstantEntry &amp;constantEntry, GpuProgramParameters *params) const </td><td><a class="el" href="classOgre_1_1Light.html">Ogre::Light</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Light.html#abe3c45929a0f84044ed7834c6a795333">_updateRenderQueue</a>(RenderQueue *queue)</td><td><a class="el" href="classOgre_1_1Light.html">Ogre::Light</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#a146b6b8afa6de9a2058f730aa3f7b25c">addQueryFlags</a>(uint32 flags)</td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#adff2fa7a7c56ba06d25d2dfa376fd677">addVisibilityFlags</a>(uint32 flags)</td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a366445eb206e55a2199267b8b9089ebb">AllocatedObject</a>()</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td><code> [explicit]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AnimableObject.html#ab2ea54bb7c39f7640f71be8bb2f8b0a5">AnimableDictionaryMap</a> typedef</td><td><a class="el" href="classOgre_1_1AnimableObject.html">Ogre::AnimableObject</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AnimableObject.html#acc4f830de60e226fbed772610eea93a4">AnimableObject</a>()</td><td><a class="el" href="classOgre_1_1AnimableObject.html">Ogre::AnimableObject</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AnimableObject.html#a83629c5c4708cebd10c358a4be0722f5">createAnimableDictionary</a>(void) const </td><td><a class="el" href="classOgre_1_1AnimableObject.html">Ogre::AnimableObject</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Light.html#a6e0be3df5d41752c0bedfcf9c89e492b">createAnimableValue</a>(const String &amp;valueName)</td><td><a class="el" href="classOgre_1_1Light.html">Ogre::Light</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Light.html#ac8b08100ac2af172d872a2e23da7634d">CustomParameterMap</a> typedef</td><td><a class="el" href="classOgre_1_1Light.html">Ogre::Light</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#ab53cc49d402913fde37fa4976f5bfdd5">detachFromParent</a>(void)</td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ShadowCaster.html#a136dfd54b581a6dc58a1796a1cdf6cdc">extrudeBounds</a>(AxisAlignedBox &amp;box, const Vector4 &amp;lightPos, Real extrudeDist) const </td><td><a class="el" href="classOgre_1_1ShadowCaster.html">Ogre::ShadowCaster</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ShadowCaster.html#acae2215c051989d544f34083a0a9bfa2">extrudeVertices</a>(const HardwareVertexBufferSharedPtr &amp;vertexBuffer, size_t originalVertexCount, const Vector4 &amp;lightPos, Real extrudeDist)</td><td><a class="el" href="classOgre_1_1ShadowCaster.html">Ogre::ShadowCaster</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ShadowCaster.html#a396374525d65e0db10c7f7f8d380744a">generateShadowVolume</a>(EdgeData *edgeData, const HardwareIndexBufferSharedPtr &amp;indexBuffer, const Light *light, ShadowRenderableList &amp;shadowRenderables, unsigned long flags)</td><td><a class="el" href="classOgre_1_1ShadowCaster.html">Ogre::ShadowCaster</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Light.html#a8b67ad3f3fe29c986f2298f9e462fae3">getAnimableDictionaryName</a>(void) const </td><td><a class="el" href="classOgre_1_1Light.html">Ogre::Light</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AnimableObject.html#a4239d192b2b08c4970dfaa22ce5a0cd0">getAnimableValueNames</a>(void) const </td><td><a class="el" href="classOgre_1_1AnimableObject.html">Ogre::AnimableObject</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Light.html#aa306f1b743a21b55a21d899f6a2b74f6">getAs4DVector</a>(bool cameraRelativeIfSet=false) const </td><td><a class="el" href="classOgre_1_1Light.html">Ogre::Light</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Light.html#a9c64d985a28a096dc4b880d8b5e360d1">getAttenuationConstant</a>(void) const </td><td><a class="el" href="classOgre_1_1Light.html">Ogre::Light</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Light.html#a481be0da125772a5d5474e6af0acbc22">getAttenuationLinear</a>(void) const </td><td><a class="el" href="classOgre_1_1Light.html">Ogre::Light</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Light.html#a13708fbd6c034ab41aa94f5a7ff44bc7">getAttenuationQuadric</a>(void) const </td><td><a class="el" href="classOgre_1_1Light.html">Ogre::Light</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Light.html#afb80c93a8439c98ac18b9c1f28861772">getAttenuationRange</a>(void) const </td><td><a class="el" href="classOgre_1_1Light.html">Ogre::Light</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Light.html#ad50541c933e318a593d17ac68773dca1">getBoundingBox</a>(void) const </td><td><a class="el" href="classOgre_1_1Light.html">Ogre::Light</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Light.html#ae7e7988aaa1cc5c7248241e7598d4ed4">getBoundingRadius</a>(void) const </td><td><a class="el" href="classOgre_1_1Light.html">Ogre::Light</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#a70bca10cdeac93142d9f93ed0cf9c4c5">getCastShadows</a>(void) const </td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Light.html#a69b060a48a3d54890b27c710ace6d086">getCustomParameter</a>(uint16 index) const </td><td><a class="el" href="classOgre_1_1Light.html">Ogre::Light</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Light.html#ad8451aea97e36fabc4399476cd9e5c6b">getCustomShadowCameraSetup</a>(void) const </td><td><a class="el" href="classOgre_1_1Light.html">Ogre::Light</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#af06612d0607ebcf1bf5eb817c3038d52">getDarkCapBounds</a>(const Light &amp;light, Real dirLightExtrusionDist) const </td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#a01f48775e48b672d7796311f3ffe2930">getDefaultQueryFlags</a>()</td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#a2eb94fea5944cf0d33702a75cfa14a74">getDefaultVisibilityFlags</a>()</td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Light.html#adf85ba76984df46b4564e619ef252f13">getDerivedDirection</a>(void) const </td><td><a class="el" href="classOgre_1_1Light.html">Ogre::Light</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Light.html#adb8604307d4476f8e9a27a9b007ee3f5">getDerivedPosition</a>(bool cameraRelativeIfSet=false) const </td><td><a class="el" href="classOgre_1_1Light.html">Ogre::Light</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Light.html#a50a730341580519e054d5ebee9200556">getDiffuseColour</a>(void) const </td><td><a class="el" href="classOgre_1_1Light.html">Ogre::Light</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Light.html#af1f2ba6b58fa76360a9e8b1ec6c82d51">getDirection</a>(void) const </td><td><a class="el" href="classOgre_1_1Light.html">Ogre::Light</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#a60b24cd45c8df45654dcfa14a1293a3b">getEdgeList</a>(void)</td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ShadowCaster.html#a233233e14ccb869b6cafd655880355df">getExtrusionDistance</a>(const Vector3 &amp;objectPos, const Light *light) const </td><td><a class="el" href="classOgre_1_1ShadowCaster.html">Ogre::ShadowCaster</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#af061175eb50a6aa98599ce0a748204b5">getLightCapBounds</a>(void) const </td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#a538d975b35be25e7d705b6310ec3d84d">getLightMask</a>() const </td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#adf305fd600ec68543ed68e0c0cef6196">getListener</a>(void) const </td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Light.html#ac64566ebdac18bbb6c15dc50358fd6b1">getMovableType</a>(void) const </td><td><a class="el" href="classOgre_1_1Light.html">Ogre::Light</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#a2c681d880b842c1b6d2c2b30b72b6660">getName</a>(void) const </td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#a7be6f35f90943c6bca0b4511e1d266d8">getParentNode</a>(void) const </td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#a0c705ecac4263b65a1b8611eeb24c39a">getParentSceneNode</a>(void) const </td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#abb13b8e1b52d9dca9f5190f718686a5e">getPointExtrusionDistance</a>(const Light *l) const </td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Light.html#a6eaf6008b42847ebde35a8b4928ca4fb">getPosition</a>(void) const </td><td><a class="el" href="classOgre_1_1Light.html">Ogre::Light</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Light.html#a3a0302cf915328e2aa92c982d7f70709">getPowerScale</a>(void) const </td><td><a class="el" href="classOgre_1_1Light.html">Ogre::Light</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#a5c40b9b7d9f3231f9ba16a3514f7495a">getQueryFlags</a>(void) const </td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#a8f2627b8d1658838a7c79c82148c6303">getReceivesShadows</a>()</td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#a97501f320f00fb5255d76fe3b20903d2">getRenderingDistance</a>(void) const </td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#a1025983039f59637e9dde740b5013175">getRenderingMinPixelSize</a>() const </td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#a12ca5ddb4ca9e77612b6e8a10e4f3d70">getRenderQueueGroup</a>(void) const </td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Light.html#a77b768fce165095d36e4fadf11ca89e1">getShadowFarClipDistance</a>() const </td><td><a class="el" href="classOgre_1_1Light.html">Ogre::Light</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Light.html#a911984c690ff0f1085ac8bcb616ef77f">getShadowFarDistance</a>(void) const </td><td><a class="el" href="classOgre_1_1Light.html">Ogre::Light</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Light.html#aa6a3504cb9e6233900f5bbcda33b675c">getShadowFarDistanceSquared</a>(void) const </td><td><a class="el" href="classOgre_1_1Light.html">Ogre::Light</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Light.html#aadfb57f8b9b254dc20a7636ba905202c">getShadowNearClipDistance</a>() const </td><td><a class="el" href="classOgre_1_1Light.html">Ogre::Light</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#a4492fa817bb3a750d349aeec34c19c43">getShadowVolumeRenderableIterator</a>(ShadowTechnique shadowTechnique, const Light *light, HardwareIndexBufferSharedPtr *indexBuffer, bool extrudeVertices, Real extrusionDist, unsigned long flags=0)</td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Light.html#a4788d8bb88b7a5488f73cd63d5fdbeec">getSpecularColour</a>(void) const </td><td><a class="el" href="classOgre_1_1Light.html">Ogre::Light</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Light.html#ad25c9018d6f3c19b6c802827320291ec">getSpotlightFalloff</a>(void) const </td><td><a class="el" href="classOgre_1_1Light.html">Ogre::Light</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Light.html#a9da656c6966084117203d999ac0d3809">getSpotlightInnerAngle</a>(void) const </td><td><a class="el" href="classOgre_1_1Light.html">Ogre::Light</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Light.html#a7e81aca482d2f2adcb0d7b2c884bb2bf">getSpotlightNearClipDistance</a>() const </td><td><a class="el" href="classOgre_1_1Light.html">Ogre::Light</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Light.html#a7dd772c1291283bb091b36a208e055f4">getSpotlightOuterAngle</a>(void) const </td><td><a class="el" href="classOgre_1_1Light.html">Ogre::Light</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Light.html#a5172d775582dcc3cde1904f0a5dffd6d">getType</a>(void) const </td><td><a class="el" href="classOgre_1_1Light.html">Ogre::Light</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Light.html#a12fb2e2d60489902792ed3804e55bc3d">getTypeFlags</a>(void) const </td><td><a class="el" href="classOgre_1_1Light.html">Ogre::Light</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#a70a42d28867f1559f1bd71baf31f83e4">getUserAny</a>(void) const </td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#aaac5bf65835f733433f3338132f2f01f">getUserObjectBindings</a>()</td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#abbf5cf5545c219ce9be1997ff5dd2204">getUserObjectBindings</a>() const </td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#a5ca10844726d16c8ed47395a6b22d33a">getVisibilityFlags</a>(void) const </td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#adbc3ce687f4def00d70f15dc0a2330ea">getVisible</a>(void) const </td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#acc31c877990c3c231c4b4cfb0522bef8">getWorldBoundingBox</a>(bool derive=false) const </td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#a2f6db9f0db4038e6544d703a9f3bcf53">getWorldBoundingSphere</a>(bool derive=false) const </td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#ab7c2a8be6a9bd59e6c69ee2d76945500">hasEdgeList</a>(void)</td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Light.html#a3d2f217e88c62e3b2c2123085e71bc63">initialiseAnimableDictionary</a>(StringVector &amp;vec) const </td><td><a class="el" href="classOgre_1_1Light.html">Ogre::Light</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#ad2c50ff1546dfac42f0751aa1bb54ff3">isAttached</a>(void) const </td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#a39cfd5b78a4326156accf5ed3146ddc6">isDebugDisplayEnabled</a>(void) const </td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#a605cb18ec6d5971e19491ec71c89afeb">isInScene</a>(void) const </td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#aff1706913baf992f108cc0fe4c95a53b">isParentTagPoint</a>() const </td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#aebb41fb7484f365c18e78103517b0d25">isVisible</a>(void) const </td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Light.html#ad2e58022048b39881379298e30fa2765">Light</a>()</td><td><a class="el" href="classOgre_1_1Light.html">Ogre::Light</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Light.html#acee7830214ec1660dc13796f6ca99e36">Light</a>(const String &amp;name)</td><td><a class="el" href="classOgre_1_1Light.html">Ogre::Light</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Light.html#a4f1dea084d1497c6f49e802ade940dbc">LightTypes</a> enum name</td><td><a class="el" href="classOgre_1_1Light.html">Ogre::Light</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Light.html#a4f1dea084d1497c6f49e802ade940dbca4c5582d28848ce40c2b652488494b4a3">LT_DIRECTIONAL</a> enum value</td><td><a class="el" href="classOgre_1_1Light.html">Ogre::Light</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Light.html#a4f1dea084d1497c6f49e802ade940dbca0d59bfdcfeb338dbfe06e2e2999e752f">LT_POINT</a> enum value</td><td><a class="el" href="classOgre_1_1Light.html">Ogre::Light</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Light.html#a4f1dea084d1497c6f49e802ade940dbca8fc40a1ccfb026944417ef92b7ddaefe">LT_SPOTLIGHT</a> enum value</td><td><a class="el" href="classOgre_1_1Light.html">Ogre::Light</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Light.html#a24752d48882af5963f60999354ab33c5">mAttenuationConst</a></td><td><a class="el" href="classOgre_1_1Light.html">Ogre::Light</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Light.html#a011f056b28ea82aa6ffc2268ef371660">mAttenuationLinear</a></td><td><a class="el" href="classOgre_1_1Light.html">Ogre::Light</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Light.html#a601daee6ce5725c4269f2db10fcdda45">mAttenuationQuad</a></td><td><a class="el" href="classOgre_1_1Light.html">Ogre::Light</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#a1f6c5390b42b10e00d3b21b8911aa3f4">mBeyondFarDistance</a></td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Light.html#a0af9de4ab63af10aac4316aeab96e71d">mCameraToBeRelativeTo</a></td><td><a class="el" href="classOgre_1_1Light.html">Ogre::Light</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#ad21e8a5a6f0eeeefa3ec698781eaa3fa">mCastShadows</a></td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#a884d3c2c8c8d8305f59eb171a7f56e56">mCreator</a></td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Light.html#af42c9bfe026188b4083d3382139ed642">mCustomParameters</a></td><td><a class="el" href="classOgre_1_1Light.html">Ogre::Light</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Light.html#ad621fad7e9875b439bb0e9bde91d6e6b">mCustomShadowCameraSetup</a></td><td><a class="el" href="classOgre_1_1Light.html">Ogre::Light</a></td><td><code> [mutable, protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#ac439108451539e95ac9829ab6520306c">mDebugDisplay</a></td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Light.html#af6e7ee3456e5c0b4ef3cf06d81feb584">mDerivedCamRelativeDirty</a></td><td><a class="el" href="classOgre_1_1Light.html">Ogre::Light</a></td><td><code> [mutable, protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Light.html#ac0def413b3093c8e5cdbd14167eb89aa">mDerivedCamRelativePosition</a></td><td><a class="el" href="classOgre_1_1Light.html">Ogre::Light</a></td><td><code> [mutable, protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Light.html#aa33da09147f64bd9a6af041f1ae29511">mDerivedDirection</a></td><td><a class="el" href="classOgre_1_1Light.html">Ogre::Light</a></td><td><code> [mutable, protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Light.html#a5024f67e7f25fc03f364578a98524df3">mDerivedPosition</a></td><td><a class="el" href="classOgre_1_1Light.html">Ogre::Light</a></td><td><code> [mutable, protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Light.html#a2fe86b96972df91772c4cfa18080a702">mDerivedTransformDirty</a></td><td><a class="el" href="classOgre_1_1Light.html">Ogre::Light</a></td><td><code> [mutable, protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Light.html#a6d7d01483a27ce195ce7e242114361a9">mDiffuse</a></td><td><a class="el" href="classOgre_1_1Light.html">Ogre::Light</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Light.html#a3ea988354dde44fb698359dd51ae2fb9">mDirection</a></td><td><a class="el" href="classOgre_1_1Light.html">Ogre::Light</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Light.html#afe9e8df56e09c920cf3f9f357ab0914c">mFrustumClipVolumes</a></td><td><a class="el" href="classOgre_1_1Light.html">Ogre::Light</a></td><td><code> [mutable, protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Light.html#ad03882535cf52ab61a3cfb47098990e1">mIndexInFrame</a></td><td><a class="el" href="classOgre_1_1Light.html">Ogre::Light</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#a2626ce2a2f1c78027634cc92dfd2b211">mLightList</a></td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [mutable, protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#af083212ba58f26eb7c747a0da749cc08">mLightListUpdated</a></td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [mutable, protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#a3db70b0c8b2e53a3c71671217e5a516c">mLightMask</a></td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Light.html#afc9d2ccf3f4b9b1285b4b1b8086d8e2f">mLightType</a></td><td><a class="el" href="classOgre_1_1Light.html">Ogre::Light</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#a07fdbfc4ae0adb48f7619c0a44bd3890">mListener</a></td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#a5c05f316d061761a08fc036daedd0649">mManager</a></td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#a56e7d5ccac2877061b0919648f7f0b34">mMinPixelSize</a></td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#a41954f454246b2935cdc90ab2f36dab8">mName</a></td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Light.html#a1f4faa64483b0ec25059f1e572deadea">mNearClipVolume</a></td><td><a class="el" href="classOgre_1_1Light.html">Ogre::Light</a></td><td><code> [mutable, protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#a14cee569be7975c5fb0be006a294eee8">MovableObject</a>()</td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#a4289fbdfe280c454f62f0f780d734817">MovableObject</a>(const String &amp;name)</td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Light.html#a4df0ec6998cff8d50dc802b85f4dbeb7">mOwnShadowFarDist</a></td><td><a class="el" href="classOgre_1_1Light.html">Ogre::Light</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#a9f9b9e6981ef7ebbd6b9d82e93a2b299">mParentIsTagPoint</a></td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#a961db9b5f439708e0f24cb8dbeb9c728">mParentNode</a></td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Light.html#a5f838a3710d950c2699517f070a86995">mPosition</a></td><td><a class="el" href="classOgre_1_1Light.html">Ogre::Light</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Light.html#adc81449ed7c27ba27fb95a9bb667d378">mPowerScale</a></td><td><a class="el" href="classOgre_1_1Light.html">Ogre::Light</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#adf36b5bfcc9bce768bc5f8a9ed6b1464">mQueryFlags</a></td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Light.html#a1da47a9c442d77dd92f1005358370a7e">mRange</a></td><td><a class="el" href="classOgre_1_1Light.html">Ogre::Light</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#ad1291c87111d8944b2c49904a4d6280b">mRenderingDisabled</a></td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#aa63b5c1cf9746a4caeb2a47a6bc1d2d6">mRenderQueueID</a></td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#a2051828f33ea6c921e2979c8f00daa3f">mRenderQueueIDSet</a></td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#aa34e0feb87409120726a489f52b39c58">mRenderQueuePriority</a></td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#ac9ee5f673870a76b23eb5291b3fa3f28">mRenderQueuePrioritySet</a></td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AnimableObject.html#a1e2b199b8a10c3753ebeecc8fa773620">msAnimableDictionary</a></td><td><a class="el" href="classOgre_1_1AnimableObject.html">Ogre::AnimableObject</a></td><td><code> [protected, static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#adeb3bbe50c1b6e92061461b363fc391e">msDefaultQueryFlags</a></td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [protected, static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#a24f37de53688fc5432d50c7ced03bd63">msDefaultVisibilityFlags</a></td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [protected, static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Light.html#a6064c962a009119f5f279ef66854f866">mShadowFarClipDist</a></td><td><a class="el" href="classOgre_1_1Light.html">Ogre::Light</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Light.html#a59803e251979bea7118013968e2c54b0">mShadowFarDist</a></td><td><a class="el" href="classOgre_1_1Light.html">Ogre::Light</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Light.html#af377e7227f4f6c8dc0f93ecde14ca119">mShadowFarDistSquared</a></td><td><a class="el" href="classOgre_1_1Light.html">Ogre::Light</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Light.html#a4f219e8639f4b63d8063125ced05e9f4">mShadowNearClipDist</a></td><td><a class="el" href="classOgre_1_1Light.html">Ogre::Light</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Light.html#a3fe6a5ae4d4b52207deccc4ce1e52832">msMovableType</a></td><td><a class="el" href="classOgre_1_1Light.html">Ogre::Light</a></td><td><code> [protected, static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Light.html#a6d2172419c35c595b76639110311edcf">mSpecular</a></td><td><a class="el" href="classOgre_1_1Light.html">Ogre::Light</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Light.html#a161e25b6228ba5cf9b2cbb1ff9ea77e8">mSpotFalloff</a></td><td><a class="el" href="classOgre_1_1Light.html">Ogre::Light</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Light.html#accbb6156162f3cedbc5e0ff304532c2b">mSpotInner</a></td><td><a class="el" href="classOgre_1_1Light.html">Ogre::Light</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Light.html#a32b5f370ef522bd7ec34a07c3ffd8f9d">mSpotNearClip</a></td><td><a class="el" href="classOgre_1_1Light.html">Ogre::Light</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Light.html#a37346e5d84403c0b87be42b2f2d8772f">mSpotOuter</a></td><td><a class="el" href="classOgre_1_1Light.html">Ogre::Light</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#a2635aafd01416e5a3346a647c2dfff52">mSquaredUpperDistance</a></td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#a0df899bfb650d8d51be51fa5f83743f4">mUpperDistance</a></td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#af00b75d92e7d62f5ff9bd4847d1786e8">mUserObjectBindings</a></td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#a6db376fe4c048714224392901c98c3a5">mVisibilityFlags</a></td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#a8e7fa9ec69253b42ff4e7605b54e1a00">mVisible</a></td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#a665c171729e2f37b66f73d0e6722ac2c">mWorldAABB</a></td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [mutable, protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#a271b08ae4cc604657c17125f76ec62e0">mWorldBoundingSphere</a></td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [mutable, protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#a00a9705c083b9fef8bbe762a5b1711a8">mWorldDarkCapBounds</a></td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [mutable, protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a8357fe4fb4849772b94baa4bf47c7ded">operator delete</a>(void *ptr)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a1c727e879a260c37b00ce5505fe8e144">operator delete</a>(void *ptr, void *)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#acb46d4b0a597156d9ba5abc39d127792">operator delete</a>(void *ptr, const char *, int, const char *)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a93e6a86dde5483c053ca0f2a85bbfd6c">operator delete[]</a>(void *ptr)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a595ea4c05da8aa987d3800e65d23355d">operator delete[]</a>(void *ptr, const char *, int, const char *)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a421b197ca3a38da17e2eb1531a645fa2">operator new</a>(size_t sz, const char *file, int line, const char *func)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#ac4bdf968b7b9af8a5239a27da73d5711">operator new</a>(size_t sz)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#ab78a921e54419be677839cdf15d1f0b8">operator new</a>(size_t sz, void *ptr)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a4be37baef81876985aa1071ad5acc6dd">operator new[]</a>(size_t sz, const char *file, int line, const char *func)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#afa2943846ba6a2b5824a12857139cf5e">operator new[]</a>(size_t sz)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#a2d4c926ce07f3a1cb0e59d9d60aac76b">queryLights</a>(void) const </td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#a8e039c80d31e36c17f4e7fc85e5c6cdc">removeQueryFlags</a>(uint32 flags)</td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#ab7bebfd93631ffe82f95ad7c73b77e24">removeVisibilityFlags</a>(uint32 flags)</td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Light.html#a8dfbfef136e815bd6c8d2850b5364c44">resetCustomShadowCameraSetup</a>(void)</td><td><a class="el" href="classOgre_1_1Light.html">Ogre::Light</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Light.html#a0b335a53572a929e720e563b2f45b72c">resetShadowFarDistance</a>(void)</td><td><a class="el" href="classOgre_1_1Light.html">Ogre::Light</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Light.html#a2880f26669477a55cf01919f906bb65d">setAttenuation</a>(Real range, Real constant, Real linear, Real quadratic)</td><td><a class="el" href="classOgre_1_1Light.html">Ogre::Light</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#acbfc4840224e8b6ed6e27849d3341675">setCastShadows</a>(bool enabled)</td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Light.html#a4e8ebf22380f3c76cd7e901dac362abb">setCustomParameter</a>(uint16 index, const Vector4 &amp;value)</td><td><a class="el" href="classOgre_1_1Light.html">Ogre::Light</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Light.html#a4a6f664fade2ac14d1ed5910b0d1a21a">setCustomShadowCameraSetup</a>(const ShadowCameraSetupPtr &amp;customShadowSetup)</td><td><a class="el" href="classOgre_1_1Light.html">Ogre::Light</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#a2b559ddd8df033cafa5d64502c7d0c3a">setDebugDisplayEnabled</a>(bool enabled)</td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#ad8db1f22329b2a96f2aed7260d565944">setDefaultQueryFlags</a>(uint32 flags)</td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#ac2904cb122ab8c8d5066abefb29dfa96">setDefaultVisibilityFlags</a>(uint32 flags)</td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Light.html#adead68de3305bd67d1617352c14da3c3">setDiffuseColour</a>(Real red, Real green, Real blue)</td><td><a class="el" href="classOgre_1_1Light.html">Ogre::Light</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Light.html#a1cab92f6d67cb87f2ca99d04e897093c">setDiffuseColour</a>(const ColourValue &amp;colour)</td><td><a class="el" href="classOgre_1_1Light.html">Ogre::Light</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Light.html#aa9c6df55eafb28a2a0bab287bc9596f7">setDirection</a>(Real x, Real y, Real z)</td><td><a class="el" href="classOgre_1_1Light.html">Ogre::Light</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Light.html#a1659111f4eb55f3b3227e87c8bfce8d9">setDirection</a>(const Vector3 &amp;vec)</td><td><a class="el" href="classOgre_1_1Light.html">Ogre::Light</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#a0b7dc685c1dc7ec4dd677750d17ee145">setLightMask</a>(uint32 lightMask)</td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#a9efbb3928b834d4f125303698034951e">setListener</a>(Listener *listener)</td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Light.html#af45236b1551783320d75c662abdf9b1b">setPosition</a>(Real x, Real y, Real z)</td><td><a class="el" href="classOgre_1_1Light.html">Ogre::Light</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Light.html#ab6b95e8fe205428797eb4cb40c811780">setPosition</a>(const Vector3 &amp;vec)</td><td><a class="el" href="classOgre_1_1Light.html">Ogre::Light</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Light.html#a8588796e58389701c22fb8e5c62a080e">setPowerScale</a>(Real power)</td><td><a class="el" href="classOgre_1_1Light.html">Ogre::Light</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#aa202386b8336ed756c3bd1ff5a74f54d">setQueryFlags</a>(uint32 flags)</td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#a3774342d37fb670430d834aa914a3be5">setRenderingDistance</a>(Real dist)</td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#a9ad2786aa67624f26c7ff245c673ad5e">setRenderingMinPixelSize</a>(Real pixelSize)</td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#ac5e898937867475e52d350d1f4d75e32">setRenderQueueGroup</a>(uint8 queueID)</td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#a38cf564fe839d40a81ba5155d363b7aa">setRenderQueueGroupAndPriority</a>(uint8 queueID, ushort priority)</td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Light.html#aeb90ddb3515b7e3ac936367e40d49d20">setShadowFarClipDistance</a>(Real farClip)</td><td><a class="el" href="classOgre_1_1Light.html">Ogre::Light</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Light.html#ad2db241677e9fd1d48a3c97abeadfe07">setShadowFarDistance</a>(Real distance)</td><td><a class="el" href="classOgre_1_1Light.html">Ogre::Light</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Light.html#a91a8c7867631ecda45eb934bfaf0aff1">setShadowNearClipDistance</a>(Real nearClip)</td><td><a class="el" href="classOgre_1_1Light.html">Ogre::Light</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Light.html#a07c50eb182b14e404d34c3a1bcae9664">setSpecularColour</a>(Real red, Real green, Real blue)</td><td><a class="el" href="classOgre_1_1Light.html">Ogre::Light</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Light.html#a614988755dcedf910f7df90fafe6158e">setSpecularColour</a>(const ColourValue &amp;colour)</td><td><a class="el" href="classOgre_1_1Light.html">Ogre::Light</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Light.html#aec895d9f784ea062ce69c823737229c5">setSpotlightFalloff</a>(Real val)</td><td><a class="el" href="classOgre_1_1Light.html">Ogre::Light</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Light.html#ad9adeeb164ff515099236e2e8fb0c850">setSpotlightInnerAngle</a>(const Radian &amp;val)</td><td><a class="el" href="classOgre_1_1Light.html">Ogre::Light</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Light.html#aead9fea5c5d5869387d88869d0132cad">setSpotlightNearClipDistance</a>(Real nearClip)</td><td><a class="el" href="classOgre_1_1Light.html">Ogre::Light</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Light.html#ad4d52d64dca4df8a930a2401028f73ff">setSpotlightOuterAngle</a>(const Radian &amp;val)</td><td><a class="el" href="classOgre_1_1Light.html">Ogre::Light</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Light.html#a8ef06bd9c2e7113461c50c83c5f09fe9">setSpotlightRange</a>(const Radian &amp;innerAngle, const Radian &amp;outerAngle, Real falloff=1.0)</td><td><a class="el" href="classOgre_1_1Light.html">Ogre::Light</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Light.html#a6019f7fa89624e35316ba444e519d8f8">setType</a>(LightTypes type)</td><td><a class="el" href="classOgre_1_1Light.html">Ogre::Light</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#ab07068e26732de24aaf24330e9d0ec81">setUserAny</a>(const Any &amp;anything)</td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#a9421323e0ef6082d8a293aef0ba4666d">setVisibilityFlags</a>(uint32 flags)</td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Light.html#a264a43fc2cf02093736eae60316dda8e">setVisible</a>(bool visible)</td><td><a class="el" href="classOgre_1_1Light.html">Ogre::Light</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ShadowCaster.html#ad84ea1b2728ced5136add26c91c39a27">ShadowRenderableList</a> typedef</td><td><a class="el" href="classOgre_1_1ShadowCaster.html">Ogre::ShadowCaster</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ShadowCaster.html#a7b0999d33e25db97d0449d6cf95cbecd">ShadowRenderableListIterator</a> typedef</td><td><a class="el" href="classOgre_1_1ShadowCaster.html">Ogre::ShadowCaster</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Light.html#ae3e2e4e50055bf99fd923ffa4f539f7d">tempSquareDist</a></td><td><a class="el" href="classOgre_1_1Light.html">Ogre::Light</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Light.html#a846e85ff543f44f6c4a34557aa78a111">update</a>(void) const </td><td><a class="el" href="classOgre_1_1Light.html">Ogre::Light</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ShadowCaster.html#ac9a881430ec7769923f63f6df4b93d33">updateEdgeListLightFacing</a>(EdgeData *edgeData, const Vector4 &amp;lightPos)</td><td><a class="el" href="classOgre_1_1ShadowCaster.html">Ogre::ShadowCaster</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Light.html#a10da1b4955f08e90c5c8efa6fd098eef">visitRenderables</a>(Renderable::Visitor *visitor, bool debugRenderables=false)</td><td><a class="el" href="classOgre_1_1Light.html">Ogre::Light</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a499773d35ca98b2df7c2699fc8c1bea2">~AllocatedObject</a>()</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AnimableObject.html#ac61ca9c912e6b00bbe4fdd9ee0e56079">~AnimableObject</a>()</td><td><a class="el" href="classOgre_1_1AnimableObject.html">Ogre::AnimableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Light.html#afbfeabb7d5503e571528fc0d365dc80a">~Light</a>()</td><td><a class="el" href="classOgre_1_1Light.html">Ogre::Light</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#a1157924b0023b8d6e126723d27bd3774">~MovableObject</a>()</td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ShadowCaster.html#aa09c6e22f9879c123355bca19c1b7131">~ShadowCaster</a>()</td><td><a class="el" href="classOgre_1_1ShadowCaster.html">Ogre::ShadowCaster</a></td><td><code> [virtual]</code></td></tr>
</table></div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:48:58
</p>
</body>
</html>
